## aoflagger 3.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(AOFlagger LANGUAGES CXX)

include(CTest)
include(ExternalProject)
include(CMakeVersionInfo.txt)
set(AOFLAGGER_VERSION
    "${AOFLAGGER_VERSION_MAJOR}.${AOFLAGGER_VERSION_MINOR}.${AOFLAGGER_VERSION_SUBMINOR}"
)

# Some CMake 'find package' files are stored in this directory
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

find_package(PkgConfig)
pkg_check_modules(SIGCXX sigc++-2.0)

option(ENABLE_GUI "Build rfigui and aoqplot tools" ON)
if(ENABLE_GUI)
  pkg_check_modules(GTKMM gtkmm-4.0>=4.0.0)
  if(GTKMM_FOUND)
    add_definitions(-DHAVE_GTKMM)
  else()
    message(
      FATAL_ERROR
        "The graphical user interface library GTKMM was not found. To build AOFlagger without GUI, add "
        "-DENABLE_GUI=OFF to cmake.")
  endif(GTKMM_FOUND)
endif()

# Find and include git submodules
find_package(Git QUIET)
if(GIT_FOUND AND EXISTS "${PROJECT_SOURCE_DIR}/.git")
  # Update submodules as needed
  option(GIT_SUBMODULE "Check submodules during build" ON)
  if(GIT_SUBMODULE)
    message(STATUS "Submodule update")
    execute_process(
      COMMAND ${GIT_EXECUTABLE} submodule update --init --recursive --checkout
              --depth 1
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
      RESULT_VARIABLE GIT_SUBMOD_RESULT)
    if(NOT GIT_SUBMOD_RESULT EQUAL "0")
      message(
        FATAL_ERROR
          "git submodule update --init failed with ${GIT_SUBMOD_RESULT}, please checkout submodules"
      )
    endif()
  endif()
endif()

# Python needs to be found before pybind11 to avoid finding different versions
# of python
find_package(
  Python
  COMPONENTS Interpreter Development
  REQUIRED)
message(STATUS "Using python version ${Python_VERSION}")
include_directories(SYSTEM ${Python_INCLUDE_DIRS})

list(APPEND ExternalSubmoduleDirectories aocommon)
foreach(ExternalSubmodule IN LISTS ExternalSubmoduleDirectories)
  if(NOT EXISTS ${CMAKE_SOURCE_DIR}/external/${ExternalSubmodule})
    message(
      FATAL_ERROR
        "The external submodule '${ExternalSubmodule}' is missing in the external/ subdirectory. "
        "This is likely the result of downloading a git tarball without submodules. "
        "This is not supported: git tarballs do not provide the required versioning "
        "information for the submodules. Please perform a git clone of this repository."
    )
  endif()
endforeach()

# Include aocommon headers
include_directories("${CMAKE_SOURCE_DIR}/external/aocommon/include")

# Include pybind11 headers
find_package(pybind11 CONFIG REQUIRED)
include_directories(SYSTEM ${pybind11_INCLUDE_DIRS})

find_package(
  HDF5
  COMPONENTS CXX
  REQUIRED)
add_definitions(${HDF5_DEFINITIONS})
include_directories(SYSTEM ${HDF5_INCLUDE_DIR})

set(CASACORE_MAKE_REQUIRED_EXTERNALS_OPTIONAL TRUE)
find_package(Casacore REQUIRED COMPONENTS casa ms tables measures)
include_directories(SYSTEM ${CASACORE_INCLUDE_DIRS})

find_package(CFITSIO REQUIRED)
include_directories(SYSTEM ${CFITSIO_INCLUDE_DIR})

find_path(
  FFTW3_INCLUDE_DIR
  NAMES fftw3.h
  HINTS ENV FFTW3_INCLUDE)

find_library(GSL_LIB NAMES gsl)
find_library(GSL_CBLAS_LIB NAMES gslcblas)
find_path(GSL_INCLUDE_DIR NAMES gsl/gsl_version.h)
if(GSL_INCLUDE_DIR)
  include_directories(SYSTEM ${GSL_INCLUDE_DIR})
endif(GSL_INCLUDE_DIR)

find_package(Threads REQUIRED)

find_package(PNG REQUIRED)

# AOFlagger uses the Boost 'system' and 'date_time' components, which have been
# header-only since Boost 1.69 and 1.73, respectively. Using "COMPONENTS system
# date_time" is thus no longer needed since Boost 1.73. Since Boost 1.89, those
# COMPONENTS no longer work and raise errors.
find_package(Boost 1.73.0 REQUIRED)
include_directories(SYSTEM ${Boost_INCLUDE_DIRS})

find_library(FFTW3_LIB fftw3 REQUIRED HINTS ENV FFTW3_LIB)
include_directories(SYSTEM ${FFTW3_INCLUDE_DIR})

enable_language(Fortran OPTIONAL)
find_package(BLAS REQUIRED)
find_package(LAPACK REQUIRED)
find_package(Lua 5.3 REQUIRED)
include_directories(SYSTEM ${LUA_INCLUDE_DIR})

# The following stuff will set the "rpath" correctly, so that LD_LIBRARY_PATH
# doesn't have to be set.

# use, i.e. don't skip the full RPATH for the build tree
set(CMAKE_SKIP_BUILD_RPATH FALSE)
# when building, don't use the install RPATH already (but later on when
# installing)
set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
# add the automatically determined parts of the RPATH which point to directories
# outside the build tree to the install RPATH
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
# the RPATH to be used when installing, but only if it's not a system directory
list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES
     "${CMAKE_INSTALL_PREFIX}/lib" isSystemDir)
if("${isSystemDir}" STREQUAL "-1")
  set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
endif("${isSystemDir}" STREQUAL "-1")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED YES)
set(CMAKE_CXX_EXTENSIONS NO)
add_compile_options(
  -DNDEBUG
  -O3
  -Wall
  -Wvla
  -Wzero-as-null-pointer-constant
  -Wnon-virtual-dtor
  -Wduplicated-branches
  -Wundef
  -Wvla
  -Wpointer-arith
  -Wextra
  -Wno-unused-parameter)
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  # GCC 8.x requires linking with stdc++fs for the filesystem library
  # https://gcc.gnu.org/onlinedocs/gcc-9.1.0/libstdc++/manual/manual/status.html#status.iso.2017
  if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS 9.0)
    link_libraries(stdc++fs)
  elseif(CMAKE_CXX_COMPILER_VERSION VERSION_LESS 8.0)
    message(
      FATAL_ERROR "The GCC version is too old, upgrade to GCC 8.0 or newer")
  endif()
endif()

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
  message(STATUS "Debug build selected: setting linking flag --no-undefined")
  string(APPEND CMAKE_SHARED_LINKER_FLAGS " -Wl,--no-undefined")
endif()

include(CheckCXXCompilerFlag)
include(CheckSymbolExists)
include(CheckCXXSymbolExists)
include(CheckIncludeFileCXX)

check_symbol_exists(posix_fallocate "fcntl.h" HAVE_POSIX_FALLOCATE)
check_cxx_symbol_exists(exp10 "cmath" HAVE_EXP10)
if(HAVE_POSIX_FALLOCATE)
  add_definitions(-DHAVE_POSIX_FALLOCATE)
endif(HAVE_POSIX_FALLOCATE)

# User may optionally set `TARGET_CPU` if `PORTABLE=OFF`
option(PORTABLE "Build portable binaries (with slightly decreased performance)"
       OFF)
include(external/aocommon/CMake/SetTargetCPU.cmake)

if(GSL_LIB
   AND GSL_CBLAS_LIB
   AND GSL_INCLUDE_DIR)
  add_definitions(-DHAVE_GSL)
  link_libraries(${GSL_LIB} ${GSL_CBLAS_LIB})
  message(STATUS "GSL found.")
endif(
  GSL_LIB
  AND GSL_CBLAS_LIB
  AND GSL_INCLUDE_DIR)

configure_file(version.h.in version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(AOQPLOT_FILES
    aoqplot/aoqplotwindow.cpp
    aoqplot/baselineplotpage.cpp
    aoqplot/datawindow.cpp
    aoqplot/grayscaleplotpage.cpp
    aoqplot/histogrampage.cpp
    aoqplot/timefrequencyplotpage.cpp
    aoqplot/twodimensionalplotpage.cpp
    aoqplot/controllers/aoqplotcontroller.cpp
    aoqplot/controllers/aoqplotpagecontroller.cpp
    aoqplot/controllers/baselinepagecontroller.cpp
    aoqplot/controllers/heatmappagecontroller.cpp
    aoqplot/controllers/histogrampagecontroller.cpp
    aoqplot/controllers/tfpagecontroller.cpp)

set(PLOT_FILES
    rfigui/maskedheatmap.cpp
    plot/colorscale.cpp
    plot/heatmap.cpp
    plot/horizontalplotscale.cpp
    plot/legend.cpp
    plot/plotbase.cpp
    plot/plotpropertieswindow.cpp
    plot/plotwidget.cpp
    plot/statistics.cpp
    plot/title.cpp
    plot/vectorimage.cpp
    plot/verticalplotscale.cpp
    plot/xyplot.cpp)

set(PLOT_TEST_FILES test/plot/statisticstest.cpp)

set(GUI_FILES
    rfigui/controllers/imagecomparisoncontroller.cpp
    rfigui/controllers/rfiguicontroller.cpp
    rfigui/gotowindow.cpp
    rfigui/imagepropertieswindow.cpp
    rfigui/initialization.cpp
    rfigui/opendialog.cpp
    rfigui/plotframe.cpp
    rfigui/plotwindow.cpp
    rfigui/progresswindow.cpp
    rfigui/rangeinputdialog.cpp
    rfigui/rfiguimenu.cpp
    rfigui/rfiguiwindow.cpp
    rfigui/settings.cpp
    rfigui/simulatedialog.cpp
    rfigui/strategyeditor.cpp
    util/rfiplots.cpp
    util/multiplot.cpp
    ${PLOT_FILES}
    ${AOQPLOT_FILES})

set(IMAGING_FILES imaging/uvimager.cpp imaging/model.cpp)

set(INTERFACE_FILES
    interface/aoflagger.cpp interface/flagmask.cpp interface/imageset.cpp
    interface/qualitystatistics.cpp interface/strategy.cpp)

set(LUA_FILES
    lua/datawrapper.cpp
    lua/default-strategy.cpp
    lua/functions.cpp
    lua/functionswrapper.cpp
    lua/luastrategy.cpp
    lua/optionsfunction.cpp
    lua/scriptdata.cpp
    lua/telescopefile.cpp)

set(MSIO_FILES
    msio/averagingmsreader.cpp
    msio/baselinematrixloader.cpp
    msio/baselinereader.cpp
    msio/directbaselinereader.cpp
    msio/fitsfile.cpp
    msio/memorybaselinereader.cpp
    msio/pngfile.cpp
    msio/reorderingbaselinereader.cpp
    msio/rspreader.cpp
    msio/singlebaselinefile.cpp
    msio/spatialtimeloader.cpp)

set(STRUCTURES_FILES
    structures/image2d.cpp
    structures/mask2d.cpp
    structures/msiterator.cpp
    structures/msmetadata.cpp
    structures/samplerow.cpp
    structures/stokesimager.cpp
    structures/timefrequencydata.cpp)

set(QUALITY_FILES
    quality/collector.cpp
    quality/combine.cpp
    quality/histogramcollection.cpp
    quality/histogramtablesformatter.cpp
    quality/operations.cpp
    quality/qualitytablesformatter.cpp
    quality/rayleighfitter.cpp
    quality/statisticscollection.cpp)

set(ALGORITHMS_FILES
    algorithms/antennaselector.cpp
    algorithms/baselineselector.cpp
    algorithms/baselinetimeplaneimager.cpp
    algorithms/combinatorialthresholder.cpp
    algorithms/fringetestcreater.cpp
    algorithms/highpassfilter.cpp
    algorithms/morphology.cpp
    algorithms/sinusfitter.cpp
    algorithms/siroperator.cpp
    algorithms/morphologicalflagger.cpp
    algorithms/sumthreshold.cpp
    algorithms/sumthresholdmissing.cpp
    algorithms/svdmitigater.cpp
    algorithms/testsetgenerator.cpp
    algorithms/thresholdconfig.cpp
    algorithms/thresholdtools.cpp
    algorithms/timefrequencystatistics.cpp
    algorithms/sisco/sisco.cpp
    algorithms/sisco/predictresidual.cpp)

set(PYTHON_FILES python/pythonstrategy.cpp python/pyfunctions.cpp)

set(IMAGESETS_FILES
    imagesets/bhfitsimageset.cpp
    imagesets/filterbankset.cpp
    imagesets/fitsimageset.cpp
    imagesets/h5imageset.cpp
    imagesets/imageset.cpp
    imagesets/indexableset.cpp
    imagesets/msimageset.cpp
    imagesets/multibandmsimageset.cpp
    imagesets/parmimageset.cpp
    imagesets/pngreader.cpp
    imagesets/rfibaselineset.cpp
    imagesets/sdhdfimageset.cpp)

set(UTIL_FILES
    plot/colormap.cpp
    util/logger.cpp
    util/ffttools.cpp
    util/integerdomain.cpp
    util/plot.cpp
    util/rng.cpp
    util/stopwatch.cpp)

set(ALL_LIBRARIES
    ${CASACORE_LIBRARIES}
    ${FFTW3_LIB}
    ${CFITSIO_LIBRARY}
    ${Python_LIBRARIES}
    ${PNG_LIBRARIES}
    ${LUA_LIBRARIES}
    ${Boost_LIBRARIES}
    ${BLAS_LIBRARIES}
    ${LAPACK_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${HDF5_CXX_LIBRARIES}
    ${HDF5_C_LIBRARIES})

if(GTKMM_FOUND)
  message(STATUS "GTKMM found.")
  include_directories(SYSTEM ${GTKMM_INCLUDE_DIRS})
  link_directories(${GTKMM_LIBDIR})
  set(ALL_LIBRARIES ${ALL_LIBRARIES} ${GTKMM_LIBRARIES})
endif(GTKMM_FOUND)

if(SIGCXX_FOUND)
  message(STATUS "SIGCXX found.")
  include_directories(SYSTEM ${SIGCXX_INCLUDE_DIRS})
  link_directories(${SIGCXX_LIBDIR})
  set(ALL_LIBRARIES ${ALL_LIBRARIES} ${SIGCXX_LIBRARIES})
endif(SIGCXX_FOUND)

if(GTKMM_FOUND)
  set(AOFLAGGER_PLOT_FILES ${PLOT_FILES})
  set(AOFLAGGER_PLOT_TEST_FILES ${PLOT_TEST_FILES})
endif(GTKMM_FOUND)

set(ALL_NON_GUI_FILES
    ${ALGORITHMS_FILES}
    ${AOFLAGGER_PLOT_FILES}
    ${IMAGESETS_FILES}
    ${IMAGING_FILES}
    ${INTERFACE_FILES}
    ${LUA_FILES}
    ${MSIO_FILES}
    ${PYTHON_FILES}
    ${QUALITY_FILES}
    ${STRUCTURES_FILES}
    ${UTIL_FILES})
add_library(aoflagger-lib SHARED ${ALL_NON_GUI_FILES})

=== external/aocommon/CMakeLists.txt ===
# 'FetchContent' in FetchXTensor.cmake requires CMake 3.11.
# 'add_compile_definitions' in FetchXTensor.cmake requires CMake 3.12.
cmake_minimum_required(VERSION 3.12)

project(aocommon LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED YES)
set(CMAKE_CXX_EXTENSIONS OFF)

add_compile_options(
  -O3
  -Wall
  -Wnon-virtual-dtor
  -Wzero-as-null-pointer-constant
  -Wduplicated-branches
  -Wundef
  -Wvla
  -Wpointer-arith
  -Wextra
  -Wno-unused-parameter
  -ggdb)

# Use may optionally set `TARGET_CPU` if `PORTABLE=OFF`
option(PORTABLE "Build portable binaries (with slightly decreased performance)"
       OFF)
include(CMake/SetTargetCPU.cmake)

# add target to generate API documentation with Doxygen
find_package(Threads REQUIRED)
find_package(Doxygen)

if(DOXYGEN_FOUND)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
                 ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
  add_custom_target(
    doc
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating API documentation with Doxygen"
    VERBATIM)
endif(DOXYGEN_FOUND)

find_package(
  Boost
  COMPONENTS unit_test_framework date_time
  REQUIRED)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)

# Casacore has a separate CMake file in this directory
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/CMake)
set(CASACORE_MAKE_REQUIRED_EXTERNALS_OPTIONAL TRUE)
find_package(Casacore REQUIRED COMPONENTS casa ms tables measures fits)
include_directories(SYSTEM ${CASACORE_INCLUDE_DIRS})

find_package(CFITSIO REQUIRED)
include_directories(SYSTEM ${CFITSIO_INCLUDE_DIR})

include(CMake/FetchXTensor.cmake)

add_executable(
  runtests
  tests/runtests.cpp
  tests/tangle.cpp
  tests/tbanddata.cpp
  tests/tbarrier.cpp
  tests/tcounting_semaphore.cpp
  tests/tdynamicfor.cpp
  tests/tfits.cpp
  tests/tfluxdensity.cpp
  tests/thmatrix4x4.cpp
  tests/timage.cpp
  tests/timagecoordinates.cpp
  tests/tlane.cpp
  tests/tlogger.cpp
  tests/tmatrix2x2.cpp
  tests/tmatrix2x2diag.cpp
  tests/tmatrix4x4.cpp
  tests/tmultibanddata.cpp
  tests/toptionalnumber.cpp
  tests/tpolarization.cpp
  tests/tpyuniqueptr.cpp
  tests/tqueue.cpp
  tests/tradeccoord.cpp
  tests/trecursivefor.cpp
  tests/tstaticfor.cpp
  tests/tserialstream.cpp
  tests/tspan.cpp
  tests/ttaskqueue.cpp
  tests/tthreadpool.cpp
  tests/tthrowruntimeerror.cpp
  tests/ttransform_if.cpp
  tests/tutensor.cpp
  tests/tuvector.cpp
  tests/avx/tDiagonalMatrixComplexDouble2x2.cpp
  tests/avx/tDiagonalMatrixComplexFloat2x2.cpp
  tests/avx/tMatrixComplexDouble2x2.cpp
  tests/avx/tMatrixComplexFloat2x2.cpp)
target_link_libraries(
  runtests
  ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY}
  ${Boost_DATE_TIME_LIBRARY}
  ${CMAKE_THREAD_LIBS_INIT}
  ${CASACORE_LIBRARIES}
  ${CFITSIO_LIBRARY}
  xtensor)

add_custom_target(execute_runtests_target ALL DEPENDS execute_runtests)
add_custom_command(
  OUTPUT execute_runtests
  COMMAND runtests
  DEPENDS runtests)

add_custom_target(
  coverage
  COMMAND gcovr -r ${CMAKE_SOURCE_DIR} -e '.*/tests/.*' -e '.*/CompilerIdCXX/.*'
          -e '_deps/.*' --txt --xml coverage.xml ${CMAKE_BINARY_DIR}
  DEPENDS execute_runtests)

# CMAKE_CXX_FLAGS does not contain all flags.
# For example, CMake derives C++ version flags from CMAKE_CXX_STANDARD etc.
message(STATUS "Flags passed to C++ compiler (incomplete): " ${CMAKE_CXX_FLAGS})

=== debian/changelog ===
aoflagger (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1
  * Rediff patches. Remove patches that ar no longer needed
  * d/copyright: fix license shortname
  * d/u/metadata: fix attribute names
  * Push Standards-Version to 4.7.3, no changes needed
  * Update required gtkmm to 4.0

 -- Ole Streicher <olebole@debian.org>  Sat, 21 Feb 2026 13:32:01 +0100

aoflagger (3.4.0-4) unstable; urgency=medium

  * Team upload.
  * add patch remove-specialized-numeric-funtions.patch
    (Closes: #1115249)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 18 Dec 2025 18:51:27 +0100

aoflagger (3.4.0-3) unstable; urgency=medium

  * Team upload.
  * 'd/control':
    - Update 'Standards-Version' to 4.7.0, no changes required.
    - Update 'Homepage' to current.
  * 'd/copyright':
    - Add 'Files: debian/*' section and add appropriate persons.
    - Add files missing from 'd/copyright' with appropriate licenses.
  * 'd/rules': Add hardening 'all'.
  * 'd/upstream/metadata':
    - Update 'Bug-Database' link to applications GitLab issue section.
    - Update 'Repository' link to application GitLab code repository.

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 16 Oct 2024 21:51:27 +0100

=== debian/control ===
Source: aoflagger
Standards-Version: 4.7.3
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Gijs Molenaar <gijs@pythonic.nl>,
 Ole Streicher <olebole@debian.org>,
Section: science
Build-Depends:
 casacore-dev,
 cmake,
 debhelper-compat (= 13),
 doxygen,
 gfortran,
 graphviz,
 libblas-dev,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-system-dev,
 libboost-test-dev,
 libcfitsio-dev,
 libfftw3-dev,
 libgtkmm-4.0-dev,
 libhdf5-dev,
 liblapack-dev,
 liblua5.3-dev,
 libpng-dev,
 libpython3-dev,
 libxml2-dev,
 pybind11-dev,
 python3-dev,
 zlib1g-dev,
Vcs-Browser: https://salsa.debian.org/debian-astro-team/aoflagger
Vcs-Git: https://salsa.debian.org/debian-astro-team/aoflagger.git
Homepage: https://aoflagger.readthedocs.io
Rules-Requires-Root: no

Package: aoflagger
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 aoflagger-dev,
Description: Find RFI in radio astronomical observations
 The AOFlagger is a tool that can find and remove radio-frequency interference
 (RFI) in radio astronomical observations. The code has been highly optimized
 for speed and accuracy. It is used by default for the LOFAR radio telescope
 and thus is in productional stage. The software can run in a fully automated
 way, but a graphical interface is provided to analyse results and tweak the
 strategy. The preferred input file format is the Casa Measurement Set (MS)
 format.
 .
 Besides the flagger, the software consists of tools to efficiently visualize
 data in different ways, such as plotting time-frequency diagrams and power
 spectra. It provides the programs aoflagger, rfigui, aoqplot, aoquality and
 more.

Package: libaoflagger0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Find RFI in radio astronomical observations (shared lib)
 The AOFlagger is a tool that can find and remove radio-frequency interference
 (RFI) in radio astronomical observations. The code has been highly optimized
 for speed and accuracy. It is used by default for the LOFAR radio telescope
 and thus is in productional stage. The software can run in a fully automated
 way, but a graphical interface is provided to analyse results and tweak the
 strategy. The preferred input file format is the Casa Measurement Set (MS)
 format.
 .
 This package contains the shared library.

Package: aoflagger-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libaoflagger0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 aoflagger,
Description: Find RFI in radio astronomical observations (development files)
 The AOFlagger is a tool that can find and remove radio-frequency interference
 (RFI) in radio astronomical observations. The code has been highly optimized
 for speed and accuracy. It is used by default for the LOFAR radio telescope
 and thus is in productional stage. The software can run in a fully automated
 way, but a graphical interface is provided to analyse results and tweak the
 strategy. The preferred input file format is the Casa Measurement Set (MS)
 format.
 .
 This package contains the header file to compile own programs against
 the library.

Package: python3-aoflagger
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libaoflagger0 (= ${binary:Version}),
 python3,
 ${misc:Depends},
 ${pyton3:Depends},
 ${shlibs:Depends},
Recommends:
 aoflagger,
Description: Find RFI in radio astronomical observations (Python package)
 The AOFlagger is a tool that can find and remove radio-frequency interference
 (RFI) in radio astronomical observations. The code has been highly optimized
 for speed and accuracy. It is used by default for the LOFAR radio telescope
 and thus is in productional stage. The software can run in a fully automated
 way, but a graphical interface is provided to analyse results and tweak the
 strategy. The preferred input file format is the Casa Measurement Set (MS)
 format.
 .
 This package contains the Python 3 package.
